/* 
 *
 * Copyright (c) <2010> Comarch S.A. and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of the License "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 *
 * Original Contributors:
 * Comarch S.A. - original contribution.
 *
 * Contributors:
 *
 * Description:
 *
 */

#include <btdevice.h>

#include "hfpcod.h"
#include "debug.h"

CHsHFPCoD* CHsHFPCoD::NewL()
    {

    CHsHFPCoD *self = CHsHFPCoD::NewLC();
    CleanupStack::Pop(self);

    return self;
    }

CHsHFPCoD* CHsHFPCoD::NewLC()
    {

    CHsHFPCoD *self = new (ELeave) CHsHFPCoD();
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

CHsHFPCoD::~CHsHFPCoD()
    {
    TRACE_FUNC_ENTRY
    RestoreOldCod();
    TRACE_FUNC_EXIT
    }

void CHsHFPCoD::SetNewCodL()
    {
    TRACE_FUNC_ENTRY

    TBTDeviceClass newDeviceClass = TBTDeviceClass(KHsHFPDeviceClass);
    TInt err =
            RProperty::Set(KPropertyUidBluetoothCategory,
                    KPropertyKeyBluetoothSetDeviceClass,
                    newDeviceClass.DeviceClass());

    TRACE_INFO( (_L("returned value = %d"), err));

    User::LeaveIfError(err);

    TRACE_FUNC_EXIT
    }

CHsHFPCoD::CHsHFPCoD()
    {

    }

void CHsHFPCoD::ConstructL()
    {

    }
