/*
 * Component Name: Headset Simulator
 * Author: Comarch S.A.
 * Version: 1.0
 * Copyright (c) 2010 Comarch S.A.
 *  
 * This Software is submitted by Comarch S.A. to Symbian Foundation Limited on 
 * the basis of the Member Contribution Agreement entered between Comarch S.A. 
 * and Symbian Foundation Limited on 5th June 2009 (Agreement) and may be 
 * used only in accordance with the terms and conditions of the Agreement. 
 * Any other usage, duplication or redistribution of this Software is not 
 * allowed without written permission of Comarch S.A.
 * 
 */
#include "hsrccommand.h"

_LIT8(KHsRemoteCommandDelimiter,":");

THsRCCommand::THsRCCommand( THsRCCommandData& aData,
        THsRemoteControlCommandType aCommandType ) :
    iData( aData ), iType( aCommandType )
    {
    }

void THsRCCommand::ToDes8( TDes8& aCommandDesc )
    {
    aCommandDesc.Copy( KNullDesC8 );
    aCommandDesc.AppendNum( iType );
    aCommandDesc.Append( KHsRemoteCommandDelimiter );
    aCommandDesc.Append( iData );
    }

void THsRCCommand::Copy( const THsRCCommand& aCmdFrom, THsRCCommand& aCmdTo )
    {
    aCmdTo.iData.Copy( aCmdFrom.iData );
    aCmdTo.iType = aCmdFrom.iType;
    }

THsRemoteControlCommandType THsRCCommand::Type() const
    {
    return iType;
    }

